business.update
Update a Business entity to modify essential information about a company.
POST http://api.kompliant.com/business.update (OpenAPI specification)
Usage Info
The Business entity serves as the central record for storing company information, including legal names, registration details, contact information, addresses, and industry classifications. This method allows you to modify a Business entity. Use this to modify the business profile after creation of Business entity.
Request
Authentication: KSig1-HMAC-SHA256
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| business_id | string | Yes | The identifier for the Business entity to be modified. |
| business | object | No | The business parameter defined in the tables below. |
Business Parameters
| Parameter | Type | Required | Nullable | Description |
|---|---|---|---|---|
| legal_name | string | No | Yes | The legal name of the business as noted in registration documents. |
| operating_name | string | No | Yes | The name under which the business operates day-to-day, sometimes call dba, DBA, or doing business as. |
| registration_type | string | No | Yes | The registration type of the business. Must be one of the BUSINESS_REGISTRATION_TYPES. |
| tax_id | string | No | Yes | The tax ID for the business. In the US this is typically the EIN. This field must be 9 characters long and only contain digits [0-9]. Dashes are not accepted. |
| phone_number | string | No | Yes | The phone number used for the business. This field must be 10 characters long and must be in the pattern of NXXNXXXXXX, where N represents any digit from 2-9 and X represents any digit from 0-9. It must follow all other requirements of the North American Number Plan. |
| string | No | Yes | The email of the business. The email must be a validly formatted email address. | |
| industry_category_codes | array | No | Yes | The list of industry_category_codes for this business. The industry category code parameter is defined in the table below. This parameter is not required. However, if an industry category code parameter is provided, certain fields may be required as outlined below. At this time, only a single entry of Industry Code Type of MCCis allowed. No other entries are supported. |
| established_date | string | No | Yes | The date when the business was establish. This must be in the YYYY-MM-DD format and contain only digits [0-9] and dashes. The value cannot be in the future. |
| transaction_type | string | NO | Yes | The transaction type the business engages in. Must be one of the BUSINESS_TRANSACTION_TYPES . |
| business_description | string | No | Yes | A short description of the products and/or services the business provides. This field is limited to 100 characters. |
| addresses | array | No | Yes | The list of addresses for the business. Only one address of each type can be added to the list. The addresses parameter is defined in the table below. This parameter is not required. However, if an address parameter is provided, then type is required. |
| social_networks | array of objects | No | Yes | The list of social network URLs for the business. This parameter is not required. However, if a social network parameter is provided, the network and URL are both required. |
| website | string | No | Yes | The URL for the website for the business. |
| additional_fields | array of objects | No | Yes | The list of additional fields. The additional fields parameter is defined in the table below. This parameter is not required. However, if an additional fields parameter is provided, certain fields may be required as outlined below. The parameter requires the additional fields feature to be enabled in the account configuration. An additional field could be required to be system unique, in which case it will be validated to be unique through all the system. |
Note:
- Nullable parameter unsets the value.
- Nullable Parameters of type array removes all the items from the parameter.
- Empty array for a parameter removes all the items
Industry Category Codes Parameters
| Parameter | Type | Required | Nullable | Description |
|---|---|---|---|---|
| type | string | Yes | No | The industry code type. Must be one of the INDUSTRY_CODE_TYPES. |
| code | string | Yes | Yes | The value for the code. |
| details | object | Depends | No | Some industry codes require more details. The following industry code types require details and the type of details required. The details are outlined below. MCC: mcc_details parameter |
MCC Details Parameters
| Parameter | Type | Required | Nullable | Description |
|---|---|---|---|---|
| card_brand | string | Yes | No | The card brand whose MCC list is being referenced. Must be one of the MCC_CARD_BRANDS. |
Addresses Parameters
| Parameter | Type | Required | Nullable | Description |
|---|---|---|---|---|
| type | string | Yes | No | The type of address. Must be one of the BUSINESS_ADDRESS_TYPES. |
| line1 | string | No | Yes | Primary street address information (building number, street name). |
| line2 | string | No | Yes | Secondary address information (apartment, suite, unit, etc.) |
| city | string | No | Yes | City or municipality name |
| state | string | No | Yes | Two character code for the state. Must be one of the STATES. |
| postal_code | string | No | Yes | ZIP or postal code for mail delivery |
| country | string | No | Yes | Two character code for the country. Must be one of the COUNTRIES. |
Social Networks Parameters
| Parameter | Type | Required | Nullable | Description |
|---|---|---|---|---|
| network | string | Yes | No | The social network name. Must be one of the SOCIAL_NETWORKS. |
| url | string | Yes | Yes | The complete URL of the business profile on the specified social network. |
Additional Fields Parameters
| Parameter | Type | Required | Nullable | Description |
|---|---|---|---|---|
| field | string | Yes | No | This parameter represents the name of the additional field. The accepted value(s) depend on the provided account configuration. |
| value | string number boolean | Yes | Yes | This parameter represents the value of the additional field. The required type of the value depend on the provided account configuration. |
Example
{
"business_id": "b_57WfSCnafMnxDiWMKcy3EW",
"business": {
"legal_name": "Rockout Pay LLC",
"operating_name": "Rockout Pay",
"registration_type": "LLC_PRIVATE",
"tax_id": "834567890",
"phone_number": "5551234567",
"industry_category_codes": [
{
"type": "MCC",
"code": "5734",
"details": {
"mcc_details": {
"card_brand": "MASTERCARD"
}
}
}
],
"established_date": "2018-03-15",
"business_description": "Technology solutions provider specializing in cloud infrastructure and IoT applications",
"addresses": [
{
"type": "LEGAL",
"line1": "1234 Innovation Drive",
"line2": "Suite 500",
"city": "Austin",
"state": "TX",
"postal_code": "78701",
"country": "US"
}
],
"social_networks": [
{
"network": "LINKEDIN",
"url": "https://www.linkedin.com/company/rockoutpay"
},
{
"network": "FACEBOOK",
"url": "https://www.facebook.com/RockoutPay"
}
],
"website": "https://www.rockoutpay.com",
"additional_fields": [
{
"field": "internal_identifier",
"value": "d55319ed-8cad-40cd-9858-8a16a707a420"
}
]
}
}
Response
Response
Data
An empty data object is returned when the completion is successful.
Example
{
"meta": {
"status": "SUCCESS",
"trace_id": "trc_6zNzQZHSf26V83BO3uW6dS",
"version": "2025-03-24"
},
"data": {}
}
Errors
| Error Code | HTTP Code | Possible Cause |
|---|---|---|
| BAD_REQUEST | 400 | Required parameters not provided. Enum value provided does not correspond to an available type. |
| ENTITY_NOT_FOUND | 400 | The subject_record_id provided does not exist. |
| SYSTEM_RULE_VIOLATION | 400 | System rule violations are described below |
System Rule Violations
When a SYSTEM_RULE_VIOLATION error occurs, the response will include additional entity_type and sub_code fields to provide more specific information:
| Entity Type | Sub-code | Description |
|---|---|---|
| Business | SOLE_PROPRIETORSHIP_OWNERSHIP_TYPE | Only 'CONTROL_PRONG' ownership type is allowed for a 'SOLE_PROPRIETORSHIP' Business entity. To modify a Business entity into a 'SOLE_PROPRIETORSHIP' registration_type, The associated Business Owner entity must be of 'CONTROL_PRONG' ownership type. |
| Business | SOLE_PROPRIETORSHIP_OWNERSHIP_PERCENTAGE | 'CONTROL_PRONG' owner in 'SOLE_PROPRIETORSHIP' Business entity must have 100% ownership. To modify a Business entity into a 'SOLE_PROPRIETORSHIP' registration_type, The associated Business Owner entity with 'CONTROL_PRONG' ownership_type must be first updated to have 100% ownership. |
| Business | ESTABLISHED_DATE_AFTER_OWNERSHIP | The business establishment date cannot be after the ownership date of any associated BusinessOwner. |
Updated 4 months ago